{
  "name": "oki-front",
  "version": "0.1.0",
  "private": true,
  "scripts": {
    "lint": "xo",
    "dev": "node server",
    "build": "next build",
    "start": "NODE_ENV=production node server -p 3001"
  },
  "dependencies": {
    "@emotion/cache": "^11.7.1",
    "@emotion/react": "^11.7.1",
    "@emotion/server": "^11.4.0",
    "@emotion/styled": "^11.6.0",
    "@fontsource/roboto": "^4.5.1",
    "@icons-pack/react-simple-icons": "^3.13.0",
    "@material-ui/core": "^4.11.2",
    "@material-ui/icons": "^4.11.2",
    "@material-ui/lab": "^4.0.0-alpha.57",
    "@mui/icons-material": "^5.3.0",
    "@mui/lab": "^5.0.0-alpha.65",
    "@mui/material": "^5.4.1",
    "@mui/styles": "^5.3.0",
    "@stripe/react-stripe-js": "^1.7.0",
    "@stripe/stripe-js": "^1.22.0",
    "axios": "^0.21.0",
    "compression": "^1.7.4",
    "date-fns": "^2.16.1",
    "dotenv": "^16.0.0",
    "express": "^4.17.1",
    "lodash.deburr": "^4.1.0",
    "lodash.pick": "^4.4.0",
    "lodash.template": "^4.5.0",
    "lodash.union": "^4.6.0",
    "lodash.uniq": "^4.5.0",
    "mongodb": "^3.6.9",
    "next": "12",
    "next-auth": "^4.1.2",
    "next-pwa": "^5.4.4",
    "nodemailer": "^6.7.2",
    "nprogress": "^0.2.0",
    "react": "^17.0.2",
    "react-dom": "^17.0.2",
    "react-swipeable-views": "^0.13.9",
    "sharp": "^0.29.3",
    "stripe": "^8.202.0"
  },
  "devDependencies": {
    "eslint": "^8.7.0",
    "eslint-config-xo-nextjs": "^4.0.3",
    "eslint-plugin-react": "^7.28.0",
    "eslint-plugin-react-hooks": "^4.3.0",
    "xo": "^0.47.0"
  },
  "xo": {
    "extends": "xo-nextjs",
    "semicolon": false,
    "space": 2,
    "envs": [
      "browser",
      "es2020"
    ],
    "rules": {
      "react/no-danger": "off",
      "react/require-default-props": "warn",
      "react/react-in-jsx-scope": "off",
      "camelcase": "off",
      "react/boolean-prop-naming": "off",
      "comma-dangle": "off",
      "new-cap": [
        "error",
        {
          "capIsNewExceptions": [
            "CredentialsProvider",
            "Google",
            "NextAuth"
          ]
        }
      ],
      "import/extensions": [
        "error",
        "never",
        {
          "png": "always",
          "jpg": "always",
          "js": "always",
          "css": "always"
        }
      ],
      "node/prefer-global/process": "off",
      "func-names": "off",
      "unicorn/prevent-abbreviations": "off"
    }
  }
}
